package com.upsfj.sfjprojectbackend.entity.auth;


import lombok.Data;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

@Data
public class AccountBean {
    int id;
    String username;
    String password;
    String email;

    public String getPassword() {
        BCryptPasswordEncoder encoder = new BCryptPasswordEncoder();
//        System.out.println(encoder.encode("123456"));
        return encoder.encode(password);
    }
}
